[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
ports/47390: Updated Port: security/fakeident
>Number: 47390
>Category: ports
>Synopsis: Updated Port: security/fakeident
>Confidential: no
>Severity: non-critical
>Priority: medium
>Responsible: freebsd-ports-bugs
>State: open
>Quarter:
>Keywords:
>Date-Required:
>Class: maintainer-update
>Submitter-Id: current-users
>Arrival-Date: Thu Jan 23 01:40:05 PST 2003
>Closed-Date:
>Last-Modified:
>Originator: Dean Hollister
>Release: FreeBSD 4.7-STABLE i386
>Organization:
Australian Public Access Network Association Inc
>Environment:
System: FreeBSD odyssey.apana.org.au 4.7-STABLE FreeBSD 4.7-STABLE #0: Mon Nov 18 15:16:12 WST 2002 root@xxxxxxxxxxxxxxxxxxxx:/usr/obj/usr/src/sys/ODYSSEY i386
>Description:
Updated Port: security/fakeident - rc.d script and localbase fix
>How-To-Repeat:
>Fix:
diff -ruN fakeident.old/Makefile fakeident/Makefile
--- fakeident.old/Makefile Thu Jan 23 17:24:23 2003
+++ fakeident/Makefile Thu Jan 23 17:22:05 2003
@@ -7,6 +7,7 @@
PORTNAME= fakeident
PORTVERSION= 1.7
+PORTREVISION= 1
CATEGORIES= security
MASTER_SITES= http://www.wa.apana.org.au/~dean/sources/ \
ftp://ftp.wa.apana.org.au/pub/pc/unix/packages/
@@ -26,7 +27,7 @@
@echo ""
do-install:
- $(INSTALL) -m 755 -o root -g wheel $(WRKSRC)/identd $(PREFIX)/sbin
- $(INSTALL) -m 755 -o root -g wheel $(WRKSRC)/fakeident.sh $(PREFIX)/etc/rc.d
+ $(INSTALL) -m 755 -o root -g wheel $(WRKSRC)/identd $(LOCALBASE)/sbin
+ $(INSTALL) -m 755 -o root -g wheel $(FILESDIR)/fakeident.sh $(LOCALBASE)/etc/rc.d
.include <bsd.port.mk>
diff -ruN fakeident.old/files/fakeident.sh fakeident/files/fakeident.sh
--- fakeident.old/files/fakeident.sh Thu Jan 1 08:00:00 1970
+++ fakeident/files/fakeident.sh Thu Jan 23 17:36:22 2003
@@ -0,0 +1,29 @@
+#! /bin/sh
+#
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
+
+# This can be changed as desired.
+# The username does not need to exist anywhere in your system.
+
+USERNAME=nobody
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ $PREFIX/sbin/identd $USERNAME && echo -n ' fakeidentd'
+ ;;
+
+stop)
+ kill -9 `cat /var/run/identd.pid` && echo -n ' fakeidentd'
+ ;;
+
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ exit 64
+ ;;
+esac
>Release-Note:
>Audit-Trail:
>Unformatted:
To Unsubscribe: send mail to majordomo@xxxxxxxxxxx
with "unsubscribe freebsd-ports-bugs" in the body of the message